#
# spec file for package NetworkManager-strongswan
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           NetworkManager-strongswan
Version:        1.2.0
Release:        1
License:        GPL-2.0+
Summary:        NetworkManager VPN support for strongSwan
Url:            http://www.strongswan.org/
Group:          Productivity/Networking/System
Source0:        http://download.strongswan.org/NetworkManager/%{name}-%{version}.tar.bz2
Source1:        README
# PATCH-FIX-UPSTREAM nm-strongswan-service-conf.patch binli@opensuse.org -- Dismiss the rpmlint warning for 'send_interface'
Patch0:         nm-strongswan-service-conf.patch
BuildRequires:  intltool
BuildRequires:  NetworkManager >= 0.9.0
BuildRequires:  dbus-glib
BuildRequires:  gnome-keyring
BuildRequires:  gtk+
BuildRequires:  libgnomeui-devel
Requires:       %{name}-frontend
Requires:       NetworkManager >= 0.9.0
Requires:       strongswan >= 4.1.13
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x

%description
NetworkManager-strongswan provides VPN support to NetworkManager for
strongSwan.

%package gnome
License:        GPL-2.0+
Summary:        NetworkManager VPN support for strongSwan
Group:          Productivity/Networking/System
Requires:       %{name} = %{version}
Requires:       NetworkManager-gnome >= 0.5.1
Provides:       %{name}-frontend

%description gnome
NetworkManager-strongswan provides VPN support to NetworkManager for
strongSwan.

%lang_package
%prep
%setup -q
%patch0 -p1
cp %{SOURCE1} README.SUSE

%build
%configure\
	--disable-static
%__make %{?_smp_flags}

%install
%makeinstall
%find_lang %{name} %{?no_lang_C}
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.SUSE
%dir %{_sysconfdir}/NetworkManager/VPN
%config %{_sysconfdir}/NetworkManager/VPN/nm-strongswan-service.name
%config %{_sysconfdir}/dbus-1/system.d/nm-strongswan-service.conf

%files gnome
%defattr(-,root,root,-)
%{_libdir}/NetworkManager/libnm-strongswan-properties.so
%{_libexecdir}/nm-strongswan-auth-dialog
%{_datadir}/gnome-vpn-properties/
/usr/share/locale/de/LC_MESSAGES/NetworkManager-strongswan.mo

%changelog
* Tue Nov 06 2012 Andrew Wyatt <andrew@fuduntu.org> - 1.2.0-1
- Built for Fuduntu

